#!/bin/sh
# This script is for erasing the logs from the IBM ServeRAID Adapters
clear
#ipssendcheck ()
if [ ! -f ipssend ] || [ ! -x ipssend ]
then
	echo "The file "ipssend" could not be found or is not executable."
	echo "Please verify that ipssend is located in teh same directory"
	echo "as the dumplog file and permissions are set using the"
	echo ""chmod" command.  Contact your system administrator."
	exit 1
fi

if [ "${USER}" != "root" ]
then
	echo
	echo
	echo "You are logged in as `echo $USER`.  Please log out and log back in as root"
	echo "and re-run this script"
else
	echo "The current user is `echo $USER`"

numcards=`./ipssend getstatus 0 | grep Found | cut -c7`


if [ "$numcards" -eq 0 ]
then
	echo "NO ServeRAID Controllers found in Server."
	echo "Please check to make sure your ServeRAID Controller has been"
	echo "properly installed and retry" 
#	exit 0
else
	echo "$numcards ServeRAID Controllers found."
fi

clear

	echo "ServeRAID ClearLog Script for Linux, Version 1.0"

	echo "This script file will clear the ServeRAID Logs on all controllers"
	echo "It should only be run when directed by IBM Technical Support.  This"
	echo "action will not harm the controller, but will ERASE all the logs of any"
	echo "past failure, making failure analysis of the ServeRAID subsystem"
	echo "impossible."
	echo "DO NOT CONTINUE UNLESS INSTRUCTED BY SUPPORT"

clearlog=""
until [ "$clearlog" = TRUE ]
do
	yesno=""
	echo "Are you sure you want to clear the ServeRAID Logs (Y/N)? "
	read yesno
	case `echo $yesno | cut -c1`
	in
		Y|y) clearlog=TRUE;;
		*) exit 0;;
	esac
done

count=1
until [ "$count" -gt "$numcards" ]
do
	echo "Erasing logs for ServeRAID Adapter $count"
	echo "Clearing Device Logs"
./ipssend eraseevent $count device > /dev/null
	echo "Clearing soft logs"
./ipssend eraseevent $count soft > /dev/null
	echo "Clearing hard logs"
./ipssend eraseevent $count hard > /dev/null
	echo "ServeRAID Adapter $count logs erased successfully."
count=`expr $count + 1`
done
fi
exit 