#!/bin/sh
# This script is for 
if [ "${USER}" != "root" ]
then
	echo
	echo
	echo "You are logged in as `echo $USER`.  Please log out and log back in as root"
	echo "and re-run this script"
else
	echo "The current user is `echo $USER`"

#Variables
date=`date`
kernelver=`uname -r`
opsys=`uname -s`
nodename=`uname -n`
raidman=`rpm -q RaidMan`
ipsdriver1=`modinfo -n ips`
ipsdriver=`ls -al $ipsdriver1`
count=1

numcards=`./ipssend getstatus 0 | grep Found | cut -c7`


if [ "$numcards" -eq 0 ]
then
	echo "NO ServeRAID Controllers found in Server."
	echo "Please check to make sure your ServeRAID Controller has been"
	echo "properly installed and retry" 
	exit 0
else
	echo "$numcards ServeRAID Controllers found."
fi
#goodmodeltypecheck ()
goodmodel=""
until [ "$goodmodel" = TRUE ]
do
entry=""
echo "Please enter the Machine Type and Model Number of the Server"
echo "Example: 86806RY (with no spaces or hypens)"
read entry
if [ -z "$entry" ]
then
	quitout=""
	echo "You pressed ENTER without entering a Machine Type and Model Number"
	echo " Would you like to quit gathering the ServeRAID Logs? (Y/N) "
	read quitout
	case `echo $quitout | cut -c1`
	in
		n|N) goodmodel=FALSE;;
		*) exit 0;;
	esac
else
	yesno=""
	modeltype=`echo $entry | sed 's/ //g'`
	echo "Is the Machine Type and Model Number you entered correct?"
	read yesno
	case `echo $yesno | cut -c1`
	in
		y|Y) goodmodel=TRUE;;
		*) goodmodel=FALSE;;
	esac
fi
done

#goodserialnumbercheck ()
goodserial=""
until [ "$goodserial" = TRUE ] 
do
entry=""
echo "Please enter the serial number of this machine"
echo "(example: 12H3456  no hypens or spaces) -> "
read entry
if [ -z "$entry" ]
then
  quitout=""
  echo "You pressed RETURN without entering a serial number."
  echo "Do you wish to quit the Dumplog utility? (Y/N) "
  read quitout
  case `echo $quitout | cut -c1`
  in
     n) goodserial=FALSE;;
     N) goodserial=FALSE;;
     *) exit 0;;
  esac
else
  yesno=""
  serialnum=`echo $entry | sed 's/ //g'`
  echo "You entered $serialnum.  Is this correct? (Y/N) "
  read yesno
  case `echo $yesno | cut -c1`
  in
     y) goodserial=TRUE;;
     Y) goodserial=TRUE;;
     *) goodserial=FALSE;;
  esac
fi
done

until [ "$count" -gt "$numcards" ] 
do


filename="$modeltype-$serialnum-sr$count.txt"
echo "Collecting all Serveraid log information for adapter $count"
echo "Data will be stored in  $filename"
echo "Serveraid Log Collection Utility for RedHat Linux systems Version v1.0" > $filename

echo "Date Logs Taken        : $date" >> $filename
echo "Nodename of this system: $nodename" >> $filename
echo "Model Type             : $modeltype" >> $filename
echo "Serial Number          : $serialnum" >> $filename
echo "Operating system       : $opsys" >> $filename
echo "Kernel Version         : $kernelver" >> $filename
echo "Raid Manager Version   : $raidman" >> $filename
echo "Driver                 : $ipsdriver" >> $filename
echo "Number of Serveraid adapters found in this machine: $numcards" >> $filename

echo "************************************" >> $filename
echo   "***IPSSEND CONFIG AL LOG************" >> $filename
echo   "************************************" >> $filename
./ipssend getconfig $count al >> $filename
echo IPSSEND CONFIG AL LOG DONE
echo "************************************" >> $filename
echo   "***IPSSEND GETBST BAD STRIPE TABLE**" >> $filename
echo   "************************************" >> $filename
./ipssend getbst $count >> $filename
echo IPSSEND GETBST BAD STRIPE TABLE DONE
echo "************************************" >> $filename
echo   "***IPSSEND GETEVENT DEVICE LOG******" >> $filename
echo   "************************************" >> $filename
./ipssend getevent $count device >> $filename
echo IPSSEND GETEVENT DEVICE LOG DONE
echo "************************************" >> $filename
echo   "***IPSSEND GETEVENT SOFT LOG********" >> $filename
echo   "************************************" >> $filename
./ipssend getevent $count soft >> $filename
echo IPSSEND GETEVENT SOFT LOG DONE
echo "************************************" >> $filename
echo   "***IPSSEND GETEVENT HARD LOG********" >> $filename
echo   "************************************" >> $filename
./ipssend getevent $count hard >> $filename
echo IPSSEND GETEVENT HARD LOG DONE

count=`expr $count + 1`
done

clear
echo "Finished collecting ServeRAID Logs"
echo
echo "Copy the text file that this Utility created to a diskette"
echo "and send to IBM support."
fi
